org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class GraphTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphTest.Traversals

- Enclosing class:
    GraphTest

      public static class GraphTest.Traversals
      extends GraphTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphTest

      `GraphTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Edge>` | `get_g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX()`
    `Traversal<Vertex,String>` | `get_g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name()`
    `Traversal<Vertex,String>` | `get_g_V_outXknowsX_V_name()`
    `Traversal<Vertex,String>` | `get_g_VX1X_V_valuesXnameX(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphTest

      `g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX, g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name, g_V_outXknowsX_V_name, g_VX1X_V_valuesXnameX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_V_valuesXnameX

          public Traversal<Vertex,String> get_g_VX1X_V_valuesXnameX(Object v1Id)

      Specified by:
        `get_g_VX1X_V_valuesXnameX` in class `GraphTest`

    - #### get_g_V_outXknowsX_V_name

          public Traversal<Vertex,String> get_g_V_outXknowsX_V_name()

      Specified by:
        `get_g_V_outXknowsX_V_name` in class `GraphTest`

    - #### get_g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name

          public Traversal<Vertex,String> get_g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name()

      Specified by:
        `get_g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name` in class `GraphTest`

    - #### get_g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX

          public Traversal<Vertex,Edge> get_g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX()

      Specified by:
        `get_g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX` in class `GraphTest`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.